package com.tomwheeler.addrbook;

/**
* A Simple Jakarta Struts ActionForm which encapsulates the contact information  
* for a person in the AddressBook application.  
*
* <p>
*	<b>CVS Info:</b> $Id$
* </p>
*
* @author T. Wheeler (tom@stlwebdev.org)
* @version $Revision$
* @since 1.1
*
*/

import java.util.Vector;

// Java extension classes
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

// third-party classes
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public final class ContactsListForm extends ActionForm
{
    // set up the logger on instantiation
    private static Log logger = LogFactory.getLog(ContactsListForm.class);    
    
    // properties

    /** The collection that holds a list of contacts */
    private Vector contactList = new Vector();


    // Getters/Setters

    /** Returns the collection that holds a list of contacts  */
    public Vector getContactList()
    {
        return (this.contactList);
    }

    /**
    * Sets The collection that holds a list of contacts (on the form).
    *
    * @param contactList The collection that holds a list of contacts 
    */
    public void setContactList(Vector contactList)
    {
        this.contactList = contactList;
    }

    // utility methods would go here

}